xmlrpc::Request Class Reference

The xmlrpc::Request class contains XmlRPC request information. More...

`#include <request.h>`

List of all members.

## Public Member Functions

| Request ()
| Request (const QString &methodName, const QList< Variant > &)
bool | isNull () const
QString | methodName () const
QList< Variant > | parameters () const
bool | setContent (const QByteArray &requestData, QString *errorMessage=0)
QByteArray | composeRequest () const

## Detailed Description

The xmlrpc::Request class contains XmlRPC request information.

xmlrpc::Request class is usually not intended to be used directly but from the xmlrpc::Server and xmlrpc::Client, except of building custom server implementation.

## Constructor & Destructor Documentation

Request::Request | ( |  | ) |

Construct an emty XmlRPC request.

Request::Request | ( | const QString & | methodName,
|  | const QList< Variant > & | parameters
| ) |  |

Construct XmlRPC request with methon name methodName and parameters list parameters.

References methodName(), and parameters().

## Member Function Documentation

QByteArray Request::composeRequest | ( |  | ) | const

Compose XmlRPC request data.

References isNull(), and xmlrpc::Variant::toDomElement().

Referenced by xmlrpc::Client::request().

bool Request::isNull | ( |  | ) | const

Returns true if the request is null ( not initialised ); otherwise returns false.

Referenced by composeRequest().

QString Request::methodName | ( |  | ) | const

Return method name of request

Referenced by xmlrpc::Server::processRequest(), and Request().

QList< Variant > Request::parameters | ( |  | ) | const

Return parameters list of request

Referenced by xmlrpc::Server::processRequest(), and Request().

bool Request::setContent | ( | const QByteArray & | requestData,
|  | QString * | errorMessage = `0`
| ) |  |

This function parses the XML-RPC request from the byte array requestData. If a parse error occurs, this function returns false and the error message is placed in ``{*}{errorMessage}.

Referenced by xmlrpc::Server::processRequest().

The documentation for this class was generated from the following files:

- xmlrpc/request.h
- xmlrpc/request.cpp